searchData={"items":[{"type":"module","title":"TowerEmail","doc":"Simple send-me-an-email reporter for `Tower` error handler.","ref":"TowerEmail.html"},{"type":"module","title":"Example - TowerEmail","doc":"config :tower, :reporters, [TowerEmail]","ref":"TowerEmail.html#module-example"},{"type":"module","title":"TowerEmail.Mailer","doc":"A `Swoosh.Mailer` for `TowerEmail`.","ref":"TowerEmail.Mailer.html"},{"type":"function","title":"TowerEmail.Mailer.deliver/2","doc":"Delivers an email.\n\nIf the email is delivered it returns an `{:ok, result}` tuple. If it fails,\nreturns an `{:error, error}` tuple.","ref":"TowerEmail.Mailer.html#deliver/2"},{"type":"function","title":"TowerEmail.Mailer.deliver!/2","doc":"Delivers an email, raises on error.\n\nIf the email is delivered, it returns the result. If it fails, it raises\na `DeliveryError`.","ref":"TowerEmail.Mailer.html#deliver!/2"},{"type":"function","title":"TowerEmail.Mailer.deliver_many/2","doc":"Delivers a list of emails.\n\nIt accepts a list of `%Swoosh.Email{}` as its first parameter.","ref":"TowerEmail.Mailer.html#deliver_many/2"},{"type":"extras","title":"TowerEmail","doc":"# TowerEmail\n\n[![ci](https://github.com/mimiquate/tower_email/actions/workflows/ci.yml/badge.svg?branch=main)](https://github.com/mimiquate/tower_email/actions?query=branch%3Amain)\n[![Hex.pm](https://img.shields.io/hexpm/v/tower_email.svg)](https://hex.pm/packages/tower_email)\n[![Documentation](https://img.shields.io/badge/Documentation-purple.svg)](https://hexdocs.pm/tower_email)\n\nError tracking and reporting to your e-mail inbox.\n\nSimple send-me-an-email reporter for [Tower](https://github.com/mimiquate/tower) error handler.","ref":"readme.html"},{"type":"extras","title":"Installation - TowerEmail","doc":"The package can be installed by adding `tower_email` to your list of dependencies in `mix.exs`:\n\n```elixir\n# mix.exs\n\ndef deps do\n  [\n    {:tower_email, \"~> 0.6.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - TowerEmail","doc":"Register the reporter with Tower.\n\n```elixir\n# config/config.exs\n\nconfig(\n  :tower,\n  :reporters,\n  [\n    # along any other possible reporters\n    TowerEmail\n  ]\n)\n```\n\nAnd make any additional configurations specific to this reporter.\n\n```elixir\n# Build-time config (config/{config, dev, test, prod}.exs)\n\nconfig :tower_email,\n  otp_app: :your_app,\n  from: {\"Tower\", \"tower@ \"},\n  to: \" \"\n\n# config/runtime.exs\nconfig :tower_email,\n  environment: System.get_env(\"DEPLOYMENT_ENV\", to_string(config_env()))\n```\n\nConfiguring `Swoosh` adapter for `TowerEmail.Mailer`:\n\n```elixir\n# config/dev.exs\nconfig :tower_email, TowerEmail.Mailer, adapter: Swoosh.Adapters.Local\n\n# config/prod.exs\nconfig :tower_email, TowerEmail.Mailer, adapter: Swoosh.Adapters.Postmark,\n\n# config/runtime.exs\nconfig :tower_email, TowerEmail.Mailer, api_key: System.fetch_env!(\"POSTMARK_API_KEY\")\n```\n\nConfiguring `TowerEmail.Mailer` is analogous on how to configure any `Swoosh.Mailer` https://hexdocs.pm/swoosh/Swoosh.Mailer.html.","ref":"readme.html#usage"},{"type":"extras","title":"License - TowerEmail","doc":"Copyright 2024 Mimiquate\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n    http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.1"}}